# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "cairo-lang-execute-utils"
version = "2.19.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Some utilities for the Cairo-Execute binary crate."
readme = false
license-file = "LICENSE"
repository = "https://github.com/starkware-libs/cairo/"
resolver = "2"

[lib]
name = "cairo_lang_execute_utils"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.98"

[dependencies.cairo-lang-casm]
version = "=2.19.0"

[dependencies.cairo-lang-executable]
version = "=2.19.0"

[dependencies.cairo-lang-runner]
version = "=2.19.0"

[dependencies.cairo-lang-utils]
version = "=2.19.0"

[dependencies.cairo-vm]
version = "3.2.0"
features = ["mod_builtin"]

[dependencies.num-bigint]
version = "0.4.6"
default-features = false

[dependencies.serde_json]
version = "1.0.142"
